> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Receivables

> Search receivable documents



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cashin/documents/search
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashin/documents/search:
    get:
      tags:
        - cashin
      summary: Search collecting document
      description: Search collecting document
      operationId: TrioFoundationWeb.Banking.Cashin.DocumentController.search
      parameters:
        - description: End To End ID
          in: query
          name: end_to_end_id
          required: false
          schema:
            type: string
        - description: External ID
          in: query
          name: external_id
          required: false
          schema:
            type: string
        - description: Platform ID
          in: query
          name: platform_id
          required: false
          schema:
            type: string
        - description: From datetime
          in: query
          name: from_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: false
          schema:
            $ref: '#/components/schemas/DATETIME'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Collecting_document'
          description: Document
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    Collecting_document:
      description: Collecting document
      example:
        data:
          amount:
            amount: 100
            currency: BRL
          counterparty:
            name: TEST
            tax_number: '11122233344'
          counterparty_bank_account:
            digit: '1'
            ispb: '49931906'
            number: '12341234'
            type: checking
          counterparty_bank_account_id: 018f9cb0-8d11-53ba-0550-54933e15377b
          counterparty_id: 018f9cb0-8d11-7c91-c62b-d94aec76c1bc
          description: description
          end_to_end_id: E44444444202405211946Dwg1pjxgehP
          external_id: external_id
          id: 018f9cb0-8d11-72dd-bb14-f82554e80999
          initiation: null
          origin_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          origin_type: none
          receipt_url: >-
            https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999
          reconciliation_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          ref_id: 018f9cb0-8d11-8143-d18c-5c6cd450b608
          ref_type: pix_qrcode
          refunds:
            - amount:
                amount: 10
                currency: BRL
              description: Refund description
              end_to_end_id: E44444444202405211946Dwg1pjxgehP
              id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              receipt_url: >-
                https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033
              reconciliation_id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              status: settled
              timestamp: '2024-05-21T19:46:07.285344Z'
              transaction_date: '2024-05-21T19:46:07.285344Z'
          stages:
            - error_code: null
              error_message: null
              id: 018f9cb0-8d37-031e-8b99-bac2919a5033
              inserted_at: '2024-05-21T19:46:07.285344Z'
              status: settled
          status: created
          timestamp: '2024-05-21T19:46:07.249436Z'
          transaction_date: '2024-05-21T19:46:07.249436Z'
          txid: 01HYEB138H6W398TXB3501DF2M
          type: pix
          virtual_account_id: 018f9cb0-8d11-72dd-bb14-f82554e80999
      properties:
        data:
          $ref: '#/components/schemas/Collecting_document'
      title: Collecting document
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````